var mainTable;
var focusedCell;

$(document).ready(function() {
    init();

    addListeners();

});

function init() {
    mainTable = new Table();
    mainTable.fillRows(100);
    mainTable.fillColumns(26);
    mainTable.fillCells();
    mainTable.drawCells();
}

function addListeners() {
    $('.cell').click(function(e) {
        $('.highlighted').removeClass('highlighted');
        $(this).toggleClass('highlighted');
        var cellId = $(this).attr('id');
        var coords = cellId.split(',');
        var row = coords[0];
        var column = coords[1];

        focusedCell = mainTable.getCell(row, column);
        $('.editWindow #content').val(focusedCell.text);
        $('.editWindow #content').focus();
        $('.editWindow #content').select();
        var highlightedEle = $(this);
        $('.editWindow #content').keypress(function (e) {
            focusedCell.text = $('.editWindow #content').attr('value');
            $('.tablesWindow .highlighted').text(focusedCell.text);
        });
    });
}

function toggleBold () {
    $('.tablesWindow .highlighted').toggleClass('bold');
}

function toggleItalic () {
    $('.tablesWindow .highlighted').toggleClass('italic');
}

function toggleUnderline () {
    $('.tablesWindow .highlighted').toggleClass('underline');
}

function toggleBigger () {
    var textEle = $('.tablesWindow .highlighted');
    var fontSize = parseInt(textEle.css("font-size"));
    fontSize = fontSize + 1 + "px";
    textEle.css({'font-size':fontSize});
}

function toggleSmaller () {
    var textEle = $('.tablesWindow .highlighted');
    var fontSize = parseInt(textEle.css("font-size"));
    fontSize = fontSize - 1 + "px";
    textEle.css({'font-size':fontSize});
}

function changeColor (color) {
    $('.tablesWindow .highlighted').css('color', color);
}
